Loading...
Searching...
No Matches
Opm::BlackOilPolymerExtensiveQuantities< TypeTag, true > Class Template Reference

## Public Member Functions

template<class Dummy = bool>
void | updateShearMultipliersPerm (const ElementContext &, unsigned, unsigned)
| Method which calculates the shear factor based on flow velocity.
template<class Dummy = bool>
void | updateShearMultipliers (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Method which calculates the shear factor based on flow velocity.
const Evaluation & | polymerShearFactor () const
const Evaluation & | waterShearFactor () const

## Member Function Documentation

## updateShearMultipliers()

template<class TypeTag>
template<class Dummy = bool>

void Opm::BlackOilPolymerExtensiveQuantities< TypeTag, true >::updateShearMultipliers | ( | const ElementContext & | elemCtx,
|  | unsigned | scvfIdx,
|  | unsigned | timeIdx )

inline

Method which calculates the shear factor based on flow velocity.

This is the variant of the method which assumes that the problem is specified using transmissibilities, i.e., not via permeabilities.

## updateShearMultipliersPerm()

template<class TypeTag>
template<class Dummy = bool>

void Opm::BlackOilPolymerExtensiveQuantities< TypeTag, true >::updateShearMultipliersPerm | ( | const ElementContext & | ,
|  | unsigned | ,
|  | unsigned | )

inline

Method which calculates the shear factor based on flow velocity.

This is the variant of the method which assumes that the problem is specified using permeabilities, i.e., not via transmissibilities.

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilpolymermodules.hh